-- rott.lua
-- utilities for blowing your MIND

-- super snorlax uses these
-- yes there is some wet code in here sorry
-- stepmania sucks at pretty much everything :|
fieldModifiers = {
	cmd(y,SCREEN_CENTER_Y;wag;effectperiod,5), -- Vomitorium
	cmd(y,SCREEN_CENTER_Y;zoomy,-1), -- UmopEpisdn
	cmd(y,SCREEN_CENTER_Y;zoomx,-1), -- MirrorrorriM
};

function anymodstory()
	-- random guy: any mods, tory?
	-- Tory Bellichi: no. just these things
	if GetToasty() == "SuperSnorlax" then
		local seed = GAMESTATE:GetStageSeed();
		Trace("AJ DEBUG PONIES: seed = ".. seed);
		if testSubject % 2 then
			local r = #fieldModifiers;
			return fieldModifiers[math.random(r)];
		end;
	end;
end;